Subject: [Roll] what is the value for the IPv6 Base Header in IANA registry?

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 21 Jul 2015 18:05:22 +0200

Whaty is the value for the IPv6 Base Header in the IANA Registry?

http://www.iana.org/assignments/_6lowpan-parameters/_6lowpan-parameters.xhtml

Alex

---

From: Jonathan Hui <[email-masked]>
Date: Tue, 21 Jul 2015 09:06:56 -0700

01 000001 IPv6 - uncompressed IPv6 Addresses [RFC4944]

The code point as defined in RFC 4944:

   IPv6:  Specifies that the following header is an uncompressed IPv6
      header [RFC2460].

--
Jonathan Hui

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 21 Jul 2015 18:17:42 +0200

I dont understand.

The entry says:
01 000001 - IPv6 - uncompressed IPv6 Addresses - RFC4944

I am asking for an "IPv6 Header" [RFC2460], not "IPv6 - uncompressed 
IPv6 Addresses".

Maybe it's just a matter of terminology.

Alex

Le 21/07/2015 18:06, Jonathan Hui a écrit :
> 01 000001IPv6 - uncompressed IPv6 Addresses[RFC4944]
>
> On Tue, Jul 21, 2015 at 9:05 AM, Alexandru Petrescu
> <[email-masked] <mailto:[email-masked]>> wrote:
>

---

From: Jonathan Hui <[email-masked]>
Date: Tue, 21 Jul 2015 09:23:13 -0700

The Header Type Name is what it is and probably could be improved.

RFC 4944 normatively references RFC 2460 for that code point, so it should
be clear enough.

--
Jonathan Hui

On Tue, Jul 21, 2015 at 9:17 AM, Alexandru Petrescu <
[email-masked]> wrote:

> I am asking for an "IPv6 Header" [RFC2460], not "IPv6 - uncompressed IPv6
> Addresses".
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 21 Jul 2015 18:28:40 +0200

> The Header Type Name is what it is and probably could be improved.

I suggest we request modification to the IANA registry to clarify that 
is a Header, and not addresses.

> RFC 4944 normatively references RFC 2460 for that code point, so it
> should be clear enough.

No, it is not clear enough.  Because RFC494 has two types in it, and 
only one of them is the IPv6 Header (the other is lowpan).  This is 
ambiguous.

Alex

>
> --
> Jonathan Hui
>
> On Tue, Jul 21, 2015 at 9:17 AM, Alexandru Petrescu
>         <[email-masked]
>         <mailto:[email-masked]>
>         <mailto:[email-masked]
>         <mailto:[email-masked]>>> wrote:
>